<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<!--
IGAC proyecto SNC

@author 		felipe.cadena
@version		1.0
@description	test CU-SA-AC-084        


  
@ManagedBean 	
-->
<ui:composition xmlns="http://www.w3.org/1999/xhtml"
                xmlns:h="http://java.sun.com/jsf/html"
                xmlns:f="http://java.sun.com/jsf/core"
                xmlns:fn="http://java.sun.com/jsp/jstl/functions"
                xmlns:ui="http://java.sun.com/jsf/facelets" 
                xmlns:p="http://primefaces.org/ui"
                template="../../templates/generalCU.xhtml"
                xmlns:misc="http://java.sun.com/jsf/composite/misc"
                xmlns:predio="http://java.sun.com/jsf/composite/predio">

    <ui:define name="title">
        .::Sistema Nacional Catastral::. .::test page for cu-sa-ac-084::.
    </ui:define>

    <ui:define name="content">

        <h:outputScript library="javascript" name="snc_visor_client.js"
                        target="head" />
        <h:outputStylesheet library="css" name="snc_visor_client.css" />

        <h:form>
            <p:commandLink value="Consultar adiciones" immediate="true"
                           oncomplete="consultaAdicionesContratoWV.show();"
                           update=":consultarAdicionesContratoActivoForm"
                           styleClass="commandLinkStyle">
                <!--                <f:setPropertyActionListener
                                    target="#{adminAvaluosAsociadosAContrato.currentContract}"
                                    value="#{testsAvaluos.currentContract}" />-->
            </p:commandLink>
            <br/>
            <br/>
            <br/>

            <p:commandLink value="Administrar valores comprometidos" immediate="true"
                           oncomplete="administrarValoresComprometidosWV.show();"
                           update=":administrarValoresComprometidosForm"
                           styleClass="commandLinkStyle">
            </p:commandLink>
        </h:form>

        <p:dialog dynamic="true" appendToBody="true"
                  header="Adiciones pertenecientes al contrato"
                  widgetVar="consultaAdicionesContratoWV">
            <ui:include src="/avaluos/administracion/consultarAdicionesContratoActivo.xhtml" />
        </p:dialog>

        <p:dialog dynamic="true" appendToBody="true"
                  header="Avalúos en proceso"
                  widgetVar="administrarValoresComprometidosWV">
            <ui:include src="/avaluos/administracion/administrarValoresComprometidos.xhtml" />
        </p:dialog>


        <p:dialog header="Editar Valor comprometido" dynamic="true"
                  widgetVar="editarValorComprometidoWV" modal="true" appendToBody="true"
                  resizable="true" position="center">
            <ui:include src="/avaluos/administracion/modificarValorComprometido.xhtml" />  
        </p:dialog>

        <p:dialog widgetVar="infoPredialWV" header="Información predial del avalúo"
                  appendToBody="true" closable="true" minimizable="false"
                  id="pdsDialog"
                  dynamic="true" width="900">
            <ui:include src="/avaluos/transversal/consultarInformacionPredial.xhtml">
                <ui:param name="detallesPredioCadenaIdsParam"
                          value=":dpCC:detallesPredioTV" />
            </ui:include>
        </p:dialog>

        <p:dialog widgetVar="infoDeptosMunisWV" header="Municipios y departamentos asociados al avalúo"
                  appendToBody="true" closable="true" minimizable="false"
                  id="deptoDialog"
                  dynamic="true" width="500">
            <ui:include src="/avaluos/transversal/consultarDepartamentosMunicipiosAvaluo.xhtml"/>
        </p:dialog>

        <predio:detallesPredioCC id="dpCC" thisWVName="detallesPredioWV"
                                 mostrarDatosPropietarios="true" mostrarDatosTramites="false"
                                 mostrarFichaPredial="true"
                                 thisIdPlusColon=":dpCC" />
        <ui:include src="/util/visorGeografico.xhtml" />

    </ui:define>


</ui:composition>
